CHFN(1)

NOM
chfn - Modifier le nom complet et les informations associées à un utilisateur

SYNOPSIS

chfn [options] [LOGIN]

DESCRIPTION

The chfn command changes user fullname, office room number, office phone number, and home phone number information for a user's account. This information is typically printed by finger(1) and similar programs. A normal user may only change the fields for her own account, subject to the restrictions in /etc/login.defs. (The default configuration is to prevent users from changing their fullname.) The superuser may change any field for any account. Additionally, only the superuser may use the -o option to change the undefined portions of the GECOS field.

These fields must not contain any colons. Except for the other field, they should not contain any comma or equal sign. It is also recommended to avoid non-US-ASCII characters, but this is only enforced for the phone numbers. The other field is used to store accounting information used by other applications.

OPTIONS

The options which apply to the chfn command are:

-f, --full-name FULL_NAME
    Modifier le nom complet de l'utilisateur.

-h, --home-phone HOME_PHONE
    Modifier le numéro de téléphone personnel de l'utilisateur.

-o, --other OTHER
    Modifier les informations GECO de l'utilisateur. Ce champ est utilisé pour enregistrer les informations de l'utilisateur utilisées par d'autres applications et peut être changé seulement par un superutilisateur.

-r, --room ROOM_NUMBER
    Modifier le numéro de bureau de l'utilisateur.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-u, --help
    Afficher un message d'aide et quitter.

-w, --work-phone WORK_PHONE
    Modifier le numéro de téléphone professionnel de l'utilisateur.

If none of the options are selected, chfn operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks. Without options, chfn prompts for the current user account.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

VOIR AUSSI

chsh(1), login.defs(5), passwd(5).